List post reposters
List accounts that reposted a post. Paginate with cursor and has_more. A post with no reposts returns an empty profiles array. An unknown post ID returns data: null.
5 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
id*string
Numeric post ID, such as the id of a post in any list response, or an x.com status URL.
Length
length <= 300cursor?string
cursor from the previous response. Omit for the first page and send it unchanged for later pages.
Length
length <= 2000curl -X GET "https://example.com/v1/x/post/retweeters?id=2110947164512038931" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "profiles": [ { "id": "742143", "handle": "BBCWorld", "name": "BBC News (World)", "description": "News, features and analysis from the World's newsroom. Breaking news, follow @BBCBreaking. UK news, @BBCNews. Latest sports news @BBCSport", "location": "London, UK", "website": "http://www.bbc.com/news", "avatar_url": "https://pbs.twimg.com/profile_images/1529107170448523264/q3VwEx38_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/742143/1663658662", "followers_count": 42339861, "following_count": 17, "posts_count": 412206, "media_count": 27318, "likes_count": 1, "is_verified": false, "is_blue_verified": true, "verified_type": "Business", "protected": false, "created_at": "2007-02-01T07:44:29.000Z", "pinned_post_ids": [], "is_automated": false }, { "id": "1652541", "handle": "Reuters", "name": "Reuters", "description": "Top and breaking news, pictures and videos from Reuters. For breaking business news, follow @ReutersBiz. Our daily podcast is here: https://t.co/KO0QFy0d3a", "location": "Around the world", "website": "http://www.reuters.com", "avatar_url": "https://pbs.twimg.com/profile_images/1874154135869616128/nJDmubGJ_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/1652541/1573687397", "followers_count": 26426274, "following_count": 1195, "posts_count": 1402580, "media_count": 1015439, "likes_count": 669, "is_verified": false, "is_blue_verified": true, "verified_type": "Business", "protected": false, "created_at": "2007-03-20T17:46:05.000Z", "pinned_post_ids": [], "is_automated": false } ], "count": 2, "cursor": "SEJhQWdJQzU5ZktnbERRQUFBPT0=", "has_more": true }}